package ch.rakudave.jnetmap.model;

import java.util.EventListener;

import com.thoughtworks.xstream.annotations.XStreamAlias;

/**
 * Defines a listener that will be notified when anything changes on the map
 * @author rakudave
 */
@XStreamAlias("MapListener")
public interface MapListener extends EventListener {
	/**
	 * Called when something changes on a map
	 * @param e event containing details of the change
	 * @see MapEvent
	 */
	public void mapChanged(MapEvent e);
}
